From 2083293ac9a4480961fd22e558ec65acdb409795 Mon Sep 17 00:00:00 2001
From: Konstantin Aladyshev <aladyshev22@gmail.com>
Date: Tue, 4 Oct 2022 17:55:10 +0300
Subject: Add extension to guidgen script

Signed-off-by: Konstantin Aladyshev <aladyshev22@gmail.com>
---
 scripts/guidgen    | 24 ------------------------
 scripts/guidgen.sh | 24 ++++++++++++++++++++++++
 2 files changed, 24 insertions(+), 24 deletions(-)
 delete mode 100755 scripts/guidgen
 create mode 100755 scripts/guidgen.sh

diff --git a/scripts/guidgen b/scripts/guidgen
deleted file mode 100755
index 2b70400..0000000
--- a/scripts/guidgen
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/bash
-##
-# Copyright (c) 2022, Konstantin Aladyshev <aladyshev22@gmail.com>
-#
-# SPDX-License-Identifier: MIT
-##
-
-# Simple script that prints random GUID in string and C-style formats
-#
-# Example:
-# $ ./guidgen
-# 3894b412-d616-4760-a428-fd60b4cca24a
-# {0x3894b412, 0xd616, 0x4760, {0xa4, 0x28, 0xfd, 0x60, 0xb4, 0xcc, 0xa2, 0x4a}}
-
-which uuidgen > /dev/null
-if [ $? -ne 0 ]
-then
-  echo "Please install 'uuidgen' utility"
-  exit 1
-fi
-
-UUID=$(uuidgen)
-echo ${UUID}
-echo "{0x${UUID:0:8}, 0x${UUID:9:4}, 0x${UUID:14:4}, {0x${UUID:19:2}, 0x${UUID:21:2}, 0x${UUID:24:2}, 0x${UUID:26:2}, 0x${UUID:28:2}, 0x${UUID:30:2}, 0x${UUID:32:2}, 0x${UUID:34:2}}}"
diff --git a/scripts/guidgen.sh b/scripts/guidgen.sh
new file mode 100755
index 0000000..2b70400
--- /dev/null
+++ b/scripts/guidgen.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+##
+# Copyright (c) 2022, Konstantin Aladyshev <aladyshev22@gmail.com>
+#
+# SPDX-License-Identifier: MIT
+##
+
+# Simple script that prints random GUID in string and C-style formats
+#
+# Example:
+# $ ./guidgen
+# 3894b412-d616-4760-a428-fd60b4cca24a
+# {0x3894b412, 0xd616, 0x4760, {0xa4, 0x28, 0xfd, 0x60, 0xb4, 0xcc, 0xa2, 0x4a}}
+
+which uuidgen > /dev/null
+if [ $? -ne 0 ]
+then
+  echo "Please install 'uuidgen' utility"
+  exit 1
+fi
+
+UUID=$(uuidgen)
+echo ${UUID}
+echo "{0x${UUID:0:8}, 0x${UUID:9:4}, 0x${UUID:14:4}, {0x${UUID:19:2}, 0x${UUID:21:2}, 0x${UUID:24:2}, 0x${UUID:26:2}, 0x${UUID:28:2}, 0x${UUID:30:2}, 0x${UUID:32:2}, 0x${UUID:34:2}}}"
-- 
cgit v1.2.3-18-g5258